# Swoole\Server::sendfile

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

Swoole\Server::sendfile — Send file to the connection.

### Description

public Swoole\Server::sendfile ( integer `$fd` , string `$filename` [, integer `$offset` ] ) : boolean

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`fd`

`filename`

`offset`

### Return Values